## LassoSamlp2RequestAbstract

LassoSamlp2RequestAbstract — <samlp2:RequestAbstract>

## Functions

LassoNode * | lasso_samlp2_request_abstract_new ()

## Types and Values

struct | LassoSamlp2RequestAbstract

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoSamlp2RequestAbstract
                ├── LassoSamlp2ArtifactResolve
                ├── LassoSamlp2AssertionIDRequest
                ├── LassoSamlp2SubjectQueryAbstract
                ├── LassoSamlp2AuthnRequest
                ├── LassoSamlp2LogoutRequest
                ├── LassoSamlp2ManageNameIDRequest
                ╰── LassoSamlp2NameIDMappingRequest

## Description

Figure 84. Schema fragment for samlp2:RequestAbstract

    <complexType name="RequestAbstractType" abstract="true">
      <sequence>
        <element ref="saml:Issuer" minOccurs="0"/>
        <element ref="ds:Signature" minOccurs="0"/>
        <element ref="samlp:Extensions" minOccurs="0"/>
      </sequence>
      <attribute name="ID" type="ID" use="required"/>
      <attribute name="Version" type="string" use="required"/>
      <attribute name="IssueInstant" type="dateTime" use="required"/>
      <attribute name="Destination" type="anyURI" use="optional"/>
      <attribute name="Consent" type="anyURI" use="optional"/>
    </complexType>

## Functions

### lasso_samlp2_request_abstract_new ()

    LassoNode *
    lasso_samlp2_request_abstract_new (void);

Creates a new LassoSamlp2RequestAbstract object.

#### Returns

a newly created LassoSamlp2RequestAbstract object

## Types and Values

### struct LassoSamlp2RequestAbstract

    struct LassoSamlp2RequestAbstract {
    	/* elements */
    	LassoSaml2NameID *Issuer;
    	LassoSamlp2Extensions *Extensions;
    	/* attributes */
    	char *ID;
    	char *Version;
    	char *IssueInstant;
    	char *Destination;
    	char *Consent;
    };